Package oracle.dbtools.plugin.api.servlet

## Enum EntityTags.EntityTagType

- java.lang.Object
- - java.lang.Enum<EntityTags.EntityTagType>
  - - oracle.dbtools.plugin.api.servlet.EntityTags.EntityTagType

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<EntityTags.EntityTagType>`
  Enclosing interface:
    EntityTags

      public static enum EntityTags.EntityTagType
      extends java.lang.Enum<EntityTags.EntityTagType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `HASH` |
    `HASH_NATIVE` |
    `NATIVE` |
    `NONE` |
    `QUERY` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static EntityTags.EntityTagType` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static EntityTags.EntityTagType[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### HASH

          public static final EntityTags.EntityTagType HASH

    - #### HASH_NATIVE

          public static final EntityTags.EntityTagType HASH_NATIVE

    - #### NATIVE

          public static final EntityTags.EntityTagType NATIVE

    - #### NONE

          public static final EntityTags.EntityTagType NONE

    - #### QUERY

          public static final EntityTags.EntityTagType QUERY

  - ### Method Detail

    - #### values

          public static EntityTags.EntityTagType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (EntityTags.EntityTagType c : EntityTags.EntityTagType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static EntityTags.EntityTagType valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null